%define name hostsentry
%define version 0.02
%define release 2mdk

Name:		%{name}
Summary:	Psionic HostSentry
Version:	%{version}
Release:	%{release}
Copyright:	see LICENSE
Group:		Monitoring
URL:		http://www.psionic.com
Source:		%{name}-%{version}.tar.bz2
Requires:   python >= 1.5.1
BuildRoot:	/var/tmp/%{name}-buildroot
Prefix:		/usr

Packager:	Vincent Danen <vdanen@linux-mandrake.com>

%define docdir		$RPM_BUILD_ROOT/usr/doc/%{name}-%{version}
%define installdir	$RPM_BUILD_ROOT%{prefix}/hostsentry
%define moduledir	$RPM_BUILD_ROOT%{prefix}/hostsentry/modules

%description
HostSentry is a host based intrusion detection tool that operates on the
principle of Login Anomaly Detection (LAD), or what I sometimes call login
cross-correlation.

%prep
%setup -q
%build


%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT

mkdir -p %{docdir}

install -m 755 -d %{installdir}
install -m 755 -d %{moduledir}
install -m 755 host* %{installdir}
install -m 755 module* %{moduledir}

#cp README* %{docdir}
#cp CHANGES %{docdir}
#cp TODO %{docdir}
#cp LICENSE %{docdir}

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files 
%defattr(-,root,root)
%doc CHANGES LICENSE README.BUGS README.credits
%doc README.install README.intro README.modules README.paper
%doc README.technical README.why_python README.wtmp TODO
%dir /usr/hostsentry
%dir /usr/hostsentry/modules
/usr/hostsentry/*/*

%changelog
* Fri Apr 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.02-2mdk
- fix group
- fix files section

* Fri Feb 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.02-1mdk
- new in contribs
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>
- fix install

* Thu Jan 20 2000 Vincent Danen <vdanen@linux-mandrake.com>
- bzip sources
- specfile update for Mandrake contribs

* Tue Nov 9 1999 Vincent Danen <vdanen@softhome.net>
- updated spec file to clean up properly
- specfile adaptations

* Tue Sep 28 1999 Vincent Danen <vdanen@softhome.net>
- 0.02
